Bug 30858 - Add serial enumeration/chronology to itemsearch.pl
Summary: Add serial enumeration/chronology to itemsearch.pl
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-26 16:32 UTC by Lucas Gass
Modified: 2022-07-22 17:52 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
This enhancement to the item search in the staff interface adds a serial enumeration/chronology (952$h) column to the search results and export.
Version(s) released in:
22.11.00


Attachments
Bug 30858: Add serial enumeration/chronology to item search (3.70 KB, patch)
2022-05-26 16:41 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 30858: Add serial enumeration/chronology to item search (3.70 KB, patch)
2022-07-18 20:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30589: (follow-up) Add enumchron to CSV export and fix CSS class (2.18 KB, patch)
2022-07-18 20:54 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30858: Add serial enumeration/chronology to item search (3.75 KB, patch)
2022-07-19 20:53 UTC, David Nind
Details | Diff | Splinter Review
Bug 30589: (follow-up) Add enumchron to CSV export and fix CSS class (2.22 KB, patch)
2022-07-19 20:53 UTC, David Nind
Details | Diff | Splinter Review
Bug 30858: Add serial enumeration/chronology to item search (3.82 KB, patch)
2022-07-21 08:24 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 30858: (follow-up) Add enumchron to CSV export and fix CSS class (2.23 KB, patch)
2022-07-21 08:24 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2022-05-26 16:32:59 UTC
Some librarians would find it handy if the results output of itemsearch.pl included a column for serial enumeration/chronology.
Comment 1 Lucas Gass 2022-05-26 16:41:40 UTC
Created attachment 135393 [details] [review]
Bug 30858: Add serial enumeration/chronology to item search

To test:
1. Apply patch
2. Go to  Catalog > Item search and do a search for items that you know contain a items.enumchron
3. The result set should now show the items.enumchron
4. Make sure you can properly "Export results to.."
Comment 2 David Nind 2022-05-31 21:59:38 UTC
Status changed to Failed QA because of 3 and 4.

Testing notes (koha-testing-docker):

1. I added some values to 952$h for a couple of items for some records.

2. Using the item search, the column "Serial enumeration" is now shown, and values entered show - the sorting and filtering also works.

3. Export results to: for CSV - column header is exported, but data is not (used Vol X Issue X in items, as well as just a plain number).

4. Reviewing the patch, for a/koha-tmpl/intranet-tmpl/prog/en/modules/catalogue/itemsearch.tt line 327, "items_barcode" is used as the id for the table heading - should this be something else?

5. Found it interesting that the CSV is exported with a semicolon as the separator, I can log this as another bug if you think it is necessary.

5. Alternatively (and probably a bigger change) is to configure what columns are shown using data tables, and also let the columns be selected and configured using Administration >  Additional parameters > Table settings. For example, like the holdings table in the view details view for a record. I'm not sure how this works, but I imagine it would be a lot more work. If this was changed, it could also use the Export function which gives additional options, but I'm not sure how you would get the barcode export.
Comment 3 Katrin Fischer 2022-07-18 20:54:52 UTC
Created attachment 137849 [details] [review]
Bug 30858: Add serial enumeration/chronology to item search

To test:
1. Apply patch
2. Go to  Catalog > Item search and do a search for items that you know contain a items.enumchron
3. The result set should now show the items.enumchron
4. Make sure you can properly "Export results to.."
Comment 4 Katrin Fischer 2022-07-18 20:54:57 UTC
Created attachment 137850 [details] [review]
Bug 30589: (follow-up) Add enumchron to CSV export and fix CSS class
Comment 5 Katrin Fischer 2022-07-18 20:55:30 UTC
I borrowed your bug, Lucas and hopefully fixed the issues David noted for good :)
Comment 6 Katrin Fischer 2022-07-18 20:57:20 UTC
Ah, and there is already a bug for adding the column configuration:
Bug 23565 - Add columns configuration and export options to item search results
Comment 7 David Nind 2022-07-19 20:53:30 UTC
Created attachment 137888 [details] [review]
Bug 30858: Add serial enumeration/chronology to item search

To test:
1. Apply patch
2. Go to  Catalog > Item search and do a search for items that you know contain a items.enumchron
3. The result set should now show the items.enumchron
4. Make sure you can properly "Export results to.."

Signed-off-by: David Nind <david@davidnind.com>
Comment 8 David Nind 2022-07-19 20:53:34 UTC
Created attachment 137889 [details] [review]
Bug 30589: (follow-up) Add enumchron to CSV export and fix CSS class

https://bugs.koha-community.org/show_bug.cgi?id=30858

Signed-off-by: David Nind <david@davidnind.com>
Comment 9 Martin Renvoize 2022-07-21 08:24:01 UTC
Created attachment 137956 [details] [review]
Bug 30858: Add serial enumeration/chronology to item search

To test:
1. Apply patch
2. Go to  Catalog > Item search and do a search for items that you know contain a items.enumchron
3. The result set should now show the items.enumchron
4. Make sure you can properly "Export results to.."

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Martin Renvoize 2022-07-21 08:24:06 UTC
Created attachment 137957 [details] [review]
Bug 30858: (follow-up) Add enumchron to CSV export and fix CSS class

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Martin Renvoize 2022-07-21 08:25:22 UTC
All works well, QA scripts are happy.

I fixed the bug number in the follow-up.

Passing QA
Comment 12 Tomás Cohen Arazi 2022-07-22 17:52:20 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!